Bug 1413380 - Bond tooltip doesn't pop up
Summary: Bond tooltip doesn't pop up
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Network
Version: 4.0.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-4.1.0-beta
: ---
Assignee: Marcin Mirecki
QA Contact: Mor
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-15 15:02 UTC by Mor
Modified: 2017-02-15 14:55 UTC (History)
6 users (show)

Fixed In Version: 4.1.0-3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 14:55:45 UTC
oVirt Team: Network
rule-engine: ovirt-4.1+


Attachments (Terms of Use)
oVirt 4.0.6 (207.95 KB, image/png)
2017-01-15 15:02 UTC, Mor
no flags Details
oVirt 4.1 (217.25 KB, image/png)
2017-01-15 15:02 UTC, Mor
no flags Details
Basic tooltip (419.90 KB, image/png)
2017-01-24 14:21 UTC, Marcin Mirecki
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1413381 0 medium CLOSED ad_partner_mac value isn't reported with bond in REST 2021-02-22 00:41:40 UTC

Internal Links: 1413381

Description Mor 2017-01-15 15:02:20 UTC
Created attachment 1240943 [details]
oVirt 4.0.6

Description of problem:
Creating a bond of mode 4 (LACP), and trying to point it with the mouse, doesn't pop up the bond tooltip in the UI.

Version-Release number of selected component (if applicable):
Red Hat Virtualization Manager Version: 4.0.6.3-0.1.el7ev

How reproducible:
100%

Steps to Reproduce:
1. Create a bond with mode 4 (LACP).
2. Try to point the mouse on the bond.

Actual results:
Bond tooltip doesn't show up.

Expected results:
Bond tooltip should show up.

Additional info:
I attached two screenshots that show different behaviours, one from 4.0.6 and one from 4.1.

Comment 1 Mor 2017-01-15 15:02:47 UTC
Created attachment 1240944 [details]
oVirt 4.1

Comment 2 Marcin Mirecki 2017-01-23 14:35:17 UTC
It seems this change is not part of 4.0.6

Patches for ad_partner_mac on master:
https://gerrit.ovirt.org/#/q/status:merged+project:ovirt-engine+branch:master+ad_partner

Patches for ad_partner_mac on 4.0.6:
https://gerrit.ovirt.org/#/q/status:merged+project:ovirt-engine+branch:ovirt-engine-4.0.6+ad_partner

The missing patch adding the tooltip: https://gerrit.ovirt.org/#/c/61813/

Comment 3 Michael Burman 2017-01-24 07:20:01 UTC
This bug was reported against 4.0.6, why this is moved from NEW to ON_QA?  
4.1 isn't affected by this. The bug still exist on 4.0.6 and shouldn't be ON_QA.

Comment 4 Marcin Mirecki 2017-01-24 14:21:54 UTC
Created attachment 1243937 [details]
Basic tooltip

Comment 5 Marcin Mirecki 2017-01-24 14:31:02 UTC
The functionality which was included in 4.0 was only a basic tooltip warning the user that no partner mac has been reported for bond in mode 4 (screenshot attached).
Unfortunately the feature has later been reused to add more functionality (available in 4.1). The advance tooltip was added with patch: https://gerrit.ovirt.org/#/c/61813/ only available in 4.1

Comment 6 Dan Kenigsberg 2017-01-24 16:47:42 UTC
Thanks for clearing up the situation. Bug 1281666 covers only the minimal notification of 4.0, and the 4.1 patches were added to it by mistake.

Let the current bug go to ON_QA so the 4.1 code for UX earns its QA time.

Comment 7 Mor 2017-01-25 11:06:37 UTC
Verified on Red Hat Virtualization Manager Version: 4.1.0.2-0.2.el7. Valid and invalid mode 4 bonds show pop-up with the expected ad_partner_mac value (valid: reports switch end MAC address, invalid: reports zero MAC address).


Note You need to log in before you can comment on or make changes to this bug.